Loading...
Searching...
No Matches
svn_wc_status_t Struct Reference
Working copy management » Working copy status.

Same as svn_wc_status2_t, but without the svn_lock_t 'repos_lock', const char 'url', svn_revnum_t 'ood_last_cmt_rev', apr_time_t 'ood_last_cmt_date', svn_node_kind_t 'ood_kind', const char 'ood_last_cmt_author', svn_wc_conflict_description_t 'tree_conflict', svn_boolean_t 'file_external', svn_wc_status_kind 'pristine_text_status', and svn_wc_status_kind 'pristine_prop_status' fields. More...

`#include <svn_wc.h>`

## Data Fields

const svn_wc_entry_t * | entry
| Can be `NULL` if not under version control.
enum svn_wc_status_kind | text_status
| The status of the entries text.
enum svn_wc_status_kind | prop_status
| The status of the entries properties.
svn_boolean_t | locked
| a directory can be 'locked' if a working copy update was interrupted.
svn_boolean_t | copied
| a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).
svn_boolean_t | switched
| a file or directory can be 'switched' if the switch command has been used.
enum svn_wc_status_kind | repos_text_status
| The entry's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The entry's property status in the repository.

## Detailed Description

Same as svn_wc_status2_t, but without the svn_lock_t 'repos_lock', const char 'url', svn_revnum_t 'ood_last_cmt_rev', apr_time_t 'ood_last_cmt_date', svn_node_kind_t 'ood_kind', const char 'ood_last_cmt_author', svn_wc_conflict_description_t 'tree_conflict', svn_boolean_t 'file_external', svn_wc_status_kind 'pristine_text_status', and svn_wc_status_kind 'pristine_prop_status' fields.

Deprecated
  Provided for backward compatibility with the 1.1 API.

Definition at line 4005 of file svn_wc.h.

## Field Documentation

## copied

svn_boolean_t svn_wc_status_t::copied

a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).

Definition at line 4022 of file svn_wc.h.

## entry

const svn_wc_entry_t* svn_wc_status_t::entry

Can be `NULL` if not under version control.

Definition at line 4008 of file svn_wc.h.

## locked

svn_boolean_t svn_wc_status_t::locked

a directory can be 'locked' if a working copy update was interrupted.

Definition at line 4017 of file svn_wc.h.

## prop_status

enum svn_wc_status_kind svn_wc_status_t::prop_status

The status of the entries properties.

Definition at line 4014 of file svn_wc.h.

## repos_prop_status

enum svn_wc_status_kind svn_wc_status_t::repos_prop_status

The entry's property status in the repository.

Definition at line 4033 of file svn_wc.h.

## repos_text_status

enum svn_wc_status_kind svn_wc_status_t::repos_text_status

The entry's text status in the repository.

Definition at line 4030 of file svn_wc.h.

## switched

svn_boolean_t svn_wc_status_t::switched

a file or directory can be 'switched' if the switch command has been used.

Definition at line 4027 of file svn_wc.h.

## text_status

enum svn_wc_status_kind svn_wc_status_t::text_status

The status of the entries text.

Definition at line 4011 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h